com.amazonaws.services.cloudfront.model

## Class DistributionSummary

- java.lang.Object
- - com.amazonaws.services.cloudfront.model.DistributionSummary

All Implemented Interfaces:
  Serializable, Cloneable

    public class DistributionSummary
    extends Object
    implements Serializable, Cloneable

A summary of the information about a CloudFront distribution.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DistributionSummary()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DistributionSummary` `clone()`
`boolean` `equals(Object obj)`
`Aliases` `getAliases()` A complex type that contains information about CNAMEs (alternate domain names), if any, for this distribution.
`String` `getARN()` The ARN (Amazon Resource Name) for the distribution.
`CacheBehaviors` `getCacheBehaviors()` A complex type that contains zero or more `CacheBehavior` elements.
`String` `getComment()` The comment originally specified when this distribution was created.
`CustomErrorResponses` `getCustomErrorResponses()` A complex type that contains zero or more `CustomErrorResponses` elements.
`DefaultCacheBehavior` `getDefaultCacheBehavior()` A complex type that describes the default cache behavior if you do not specify a `CacheBehavior` element or if files don't match any of the values of `PathPattern` in `CacheBehavior` elements.
`String` `getDomainName()` The domain name that corresponds to the distribution.
`Boolean` `getEnabled()` Whether the distribution is enabled to accept user requests for content.
`String` `getHttpVersion()` Specify the maximum HTTP version that you want viewers to use to communicate with CloudFront.
`String` `getId()` The identifier for the distribution.
`Boolean` `getIsIPV6Enabled()` Whether CloudFront responds to IPv6 DNS requests with an IPv6 address for your distribution.
`Date` `getLastModifiedTime()` The date and time the distribution was last modified.
`Origins` `getOrigins()` A complex type that contains information about origins for this distribution.
`String` `getPriceClass()`
`Restrictions` `getRestrictions()`
`String` `getStatus()` The current status of the distribution.
`ViewerCertificate` `getViewerCertificate()`
`String` `getWebACLId()` The Web ACL Id (if any) associated with the distribution.
`int` `hashCode()`
`Boolean` `isEnabled()` Whether the distribution is enabled to accept user requests for content.
`Boolean` `isIPV6Enabled()` Whether CloudFront responds to IPv6 DNS requests with an IPv6 address for your distribution.
`void` `setAliases(Aliases aliases)` A complex type that contains information about CNAMEs (alternate domain names), if any, for this distribution.
`void` `setARN(String aRN)` The ARN (Amazon Resource Name) for the distribution.
`void` `setCacheBehaviors(CacheBehaviors cacheBehaviors)` A complex type that contains zero or more `CacheBehavior` elements.
`void` `setComment(String comment)` The comment originally specified when this distribution was created.
`void` `setCustomErrorResponses(CustomErrorResponses customErrorResponses)` A complex type that contains zero or more `CustomErrorResponses` elements.
`void` `setDefaultCacheBehavior(DefaultCacheBehavior defaultCacheBehavior)` A complex type that describes the default cache behavior if you do not specify a `CacheBehavior` element or if files don't match any of the values of `PathPattern` in `CacheBehavior` elements.
`void` `setDomainName(String domainName)` The domain name that corresponds to the distribution.
`void` `setEnabled(Boolean enabled)` Whether the distribution is enabled to accept user requests for content.
`void` `setHttpVersion(HttpVersion httpVersion)` Specify the maximum HTTP version that you want viewers to use to communicate with CloudFront.
`void` `setHttpVersion(String httpVersion)` Specify the maximum HTTP version that you want viewers to use to communicate with CloudFront.
`void` `setId(String id)` The identifier for the distribution.
`void` `setIsIPV6Enabled(Boolean isIPV6Enabled)` Whether CloudFront responds to IPv6 DNS requests with an IPv6 address for your distribution.
`void` `setLastModifiedTime(Date lastModifiedTime)` The date and time the distribution was last modified.
`void` `setOrigins(Origins origins)` A complex type that contains information about origins for this distribution.
`void` `setPriceClass(PriceClass priceClass)`
`void` `setPriceClass(String priceClass)`
`void` `setRestrictions(Restrictions restrictions)`
`void` `setStatus(String status)` The current status of the distribution.
`void` `setViewerCertificate(ViewerCertificate viewerCertificate)`
`void` `setWebACLId(String webACLId)` The Web ACL Id (if any) associated with the distribution.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`DistributionSummary` `withAliases(Aliases aliases)` A complex type that contains information about CNAMEs (alternate domain names), if any, for this distribution.
`DistributionSummary` `withARN(String aRN)` The ARN (Amazon Resource Name) for the distribution.
`DistributionSummary` `withCacheBehaviors(CacheBehaviors cacheBehaviors)` A complex type that contains zero or more `CacheBehavior` elements.
`DistributionSummary` `withComment(String comment)` The comment originally specified when this distribution was created.
`DistributionSummary` `withCustomErrorResponses(CustomErrorResponses customErrorResponses)` A complex type that contains zero or more `CustomErrorResponses` elements.
`DistributionSummary` `withDefaultCacheBehavior(DefaultCacheBehavior defaultCacheBehavior)` A complex type that describes the default cache behavior if you do not specify a `CacheBehavior` element or if files don't match any of the values of `PathPattern` in `CacheBehavior` elements.
`DistributionSummary` `withDomainName(String domainName)` The domain name that corresponds to the distribution.
`DistributionSummary` `withEnabled(Boolean enabled)` Whether the distribution is enabled to accept user requests for content.
`DistributionSummary` `withHttpVersion(HttpVersion httpVersion)` Specify the maximum HTTP version that you want viewers to use to communicate with CloudFront.
`DistributionSummary` `withHttpVersion(String httpVersion)` Specify the maximum HTTP version that you want viewers to use to communicate with CloudFront.
`DistributionSummary` `withId(String id)` The identifier for the distribution.
`DistributionSummary` `withIsIPV6Enabled(Boolean isIPV6Enabled)` Whether CloudFront responds to IPv6 DNS requests with an IPv6 address for your distribution.
`DistributionSummary` `withLastModifiedTime(Date lastModifiedTime)` The date and time the distribution was last modified.
`DistributionSummary` `withOrigins(Origins origins)` A complex type that contains information about origins for this distribution.
`DistributionSummary` `withPriceClass(PriceClass priceClass)`
`DistributionSummary` `withPriceClass(String priceClass)`
`DistributionSummary` `withRestrictions(Restrictions restrictions)`
`DistributionSummary` `withStatus(String status)` The current status of the distribution.
`DistributionSummary` `withViewerCertificate(ViewerCertificate viewerCertificate)`
`DistributionSummary` `withWebACLId(String webACLId)` The Web ACL Id (if any) associated with the distribution.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DistributionSummary

    public DistributionSummary()

### Method Detail

#### setId

    public void setId(String id)

The identifier for the distribution. For example: `EDFDVBD632BHDS5`.

Parameters:
  `id` - The identifier for the distribution. For example: `EDFDVBD632BHDS5`.

#### getId

    public String getId()

The identifier for the distribution. For example: `EDFDVBD632BHDS5`.

Returns:
  The identifier for the distribution. For example: `EDFDVBD632BHDS5`.

#### withId

    public DistributionSummary withId(String id)

The identifier for the distribution. For example: `EDFDVBD632BHDS5`.

Parameters:
  `id` - The identifier for the distribution. For example: `EDFDVBD632BHDS5`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setARN

    public void setARN(String aRN)

The ARN (Amazon Resource Name) for the distribution. For example: `arn:aws:cloudfront::123456789012:distribution/EDFDVBD632BHDS5`, where `123456789012` is your AWS account ID.

Parameters:
  `aRN` - The ARN (Amazon Resource Name) for the distribution. For example: `arn:aws:cloudfront::123456789012:distribution/EDFDVBD632BHDS5`, where `123456789012` is your AWS account ID.

#### getARN

    public String getARN()

The ARN (Amazon Resource Name) for the distribution. For example: `arn:aws:cloudfront::123456789012:distribution/EDFDVBD632BHDS5`, where `123456789012` is your AWS account ID.

Returns:
  The ARN (Amazon Resource Name) for the distribution. For example: `arn:aws:cloudfront::123456789012:distribution/EDFDVBD632BHDS5`, where `123456789012` is your AWS account ID.

#### withARN

    public DistributionSummary withARN(String aRN)

The ARN (Amazon Resource Name) for the distribution. For example: `arn:aws:cloudfront::123456789012:distribution/EDFDVBD632BHDS5`, where `123456789012` is your AWS account ID.

Parameters:
  `aRN` - The ARN (Amazon Resource Name) for the distribution. For example: `arn:aws:cloudfront::123456789012:distribution/EDFDVBD632BHDS5`, where `123456789012` is your AWS account ID.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStatus

    public void setStatus(String status)

The current status of the distribution. When the status is `Deployed`, the distribution's information is propagated to all CloudFront edge locations.

Parameters:
  `status` - The current status of the distribution. When the status is `Deployed`, the distribution's information is propagated to all CloudFront edge locations.

#### getStatus

    public String getStatus()

The current status of the distribution. When the status is `Deployed`, the distribution's information is propagated to all CloudFront edge locations.

Returns:
  The current status of the distribution. When the status is `Deployed`, the distribution's information is propagated to all CloudFront edge locations.

#### withStatus

    public DistributionSummary withStatus(String status)

The current status of the distribution. When the status is `Deployed`, the distribution's information is propagated to all CloudFront edge locations.

Parameters:
  `status` - The current status of the distribution. When the status is `Deployed`, the distribution's information is propagated to all CloudFront edge locations.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLastModifiedTime

    public void setLastModifiedTime(Date lastModifiedTime)

The date and time the distribution was last modified.

Parameters:
  `lastModifiedTime` - The date and time the distribution was last modified.

#### getLastModifiedTime

    public Date getLastModifiedTime()

The date and time the distribution was last modified.

Returns:
  The date and time the distribution was last modified.

#### withLastModifiedTime

    public DistributionSummary withLastModifiedTime(Date lastModifiedTime)

The date and time the distribution was last modified.

Parameters:
  `lastModifiedTime` - The date and time the distribution was last modified.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDomainName

    public void setDomainName(String domainName)

The domain name that corresponds to the distribution. For example: `d604721fxaaqy9.cloudfront.net`.

Parameters:
  `domainName` - The domain name that corresponds to the distribution. For example: `d604721fxaaqy9.cloudfront.net`.

#### getDomainName

    public String getDomainName()

The domain name that corresponds to the distribution. For example: `d604721fxaaqy9.cloudfront.net`.

Returns:
  The domain name that corresponds to the distribution. For example: `d604721fxaaqy9.cloudfront.net`.

#### withDomainName

    public DistributionSummary withDomainName(String domainName)

The domain name that corresponds to the distribution. For example: `d604721fxaaqy9.cloudfront.net`.

Parameters:
  `domainName` - The domain name that corresponds to the distribution. For example: `d604721fxaaqy9.cloudfront.net`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setAliases

    public void setAliases(Aliases aliases)

A complex type that contains information about CNAMEs (alternate domain names), if any, for this distribution.

Parameters:
  `aliases` - A complex type that contains information about CNAMEs (alternate domain names), if any, for this distribution.

#### getAliases

    public Aliases getAliases()

A complex type that contains information about CNAMEs (alternate domain names), if any, for this distribution.

Returns:
  A complex type that contains information about CNAMEs (alternate domain names), if any, for this distribution.

#### withAliases

    public DistributionSummary withAliases(Aliases aliases)

A complex type that contains information about CNAMEs (alternate domain names), if any, for this distribution.

Parameters:
  `aliases` - A complex type that contains information about CNAMEs (alternate domain names), if any, for this distribution.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setOrigins

    public void setOrigins(Origins origins)

A complex type that contains information about origins for this distribution.

Parameters:
  `origins` - A complex type that contains information about origins for this distribution.

#### getOrigins

    public Origins getOrigins()

A complex type that contains information about origins for this distribution.

Returns:
  A complex type that contains information about origins for this distribution.

#### withOrigins

    public DistributionSummary withOrigins(Origins origins)

A complex type that contains information about origins for this distribution.

Parameters:
  `origins` - A complex type that contains information about origins for this distribution.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDefaultCacheBehavior

    public void setDefaultCacheBehavior(DefaultCacheBehavior defaultCacheBehavior)

A complex type that describes the default cache behavior if you do not specify a `CacheBehavior` element or if files don't match any of the values of `PathPattern` in `CacheBehavior` elements. You must create exactly one default cache behavior.

Parameters:
  `defaultCacheBehavior` - A complex type that describes the default cache behavior if you do not specify a `CacheBehavior` element or if files don't match any of the values of `PathPattern` in `CacheBehavior` elements. You must create exactly one default cache behavior.

#### getDefaultCacheBehavior

    public DefaultCacheBehavior getDefaultCacheBehavior()

A complex type that describes the default cache behavior if you do not specify a `CacheBehavior` element or if files don't match any of the values of `PathPattern` in `CacheBehavior` elements. You must create exactly one default cache behavior.

Returns:
  A complex type that describes the default cache behavior if you do not specify a `CacheBehavior` element or if files don't match any of the values of `PathPattern` in `CacheBehavior` elements. You must create exactly one default cache behavior.

#### withDefaultCacheBehavior

    public DistributionSummary withDefaultCacheBehavior(DefaultCacheBehavior defaultCacheBehavior)

A complex type that describes the default cache behavior if you do not specify a `CacheBehavior` element or if files don't match any of the values of `PathPattern` in `CacheBehavior` elements. You must create exactly one default cache behavior.

Parameters:
  `defaultCacheBehavior` - A complex type that describes the default cache behavior if you do not specify a `CacheBehavior` element or if files don't match any of the values of `PathPattern` in `CacheBehavior` elements. You must create exactly one default cache behavior.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCacheBehaviors

    public void setCacheBehaviors(CacheBehaviors cacheBehaviors)

A complex type that contains zero or more `CacheBehavior` elements.

Parameters:
  `cacheBehaviors` - A complex type that contains zero or more `CacheBehavior` elements.

#### getCacheBehaviors

    public CacheBehaviors getCacheBehaviors()

A complex type that contains zero or more `CacheBehavior` elements.

Returns:
  A complex type that contains zero or more `CacheBehavior` elements.

#### withCacheBehaviors

    public DistributionSummary withCacheBehaviors(CacheBehaviors cacheBehaviors)

A complex type that contains zero or more `CacheBehavior` elements.

Parameters:
  `cacheBehaviors` - A complex type that contains zero or more `CacheBehavior` elements.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCustomErrorResponses

    public void setCustomErrorResponses(CustomErrorResponses customErrorResponses)

A complex type that contains zero or more `CustomErrorResponses` elements.

Parameters:
  `customErrorResponses` - A complex type that contains zero or more `CustomErrorResponses` elements.

#### getCustomErrorResponses

    public CustomErrorResponses getCustomErrorResponses()

A complex type that contains zero or more `CustomErrorResponses` elements.

Returns:
  A complex type that contains zero or more `CustomErrorResponses` elements.

#### withCustomErrorResponses

    public DistributionSummary withCustomErrorResponses(CustomErrorResponses customErrorResponses)

A complex type that contains zero or more `CustomErrorResponses` elements.

Parameters:
  `customErrorResponses` - A complex type that contains zero or more `CustomErrorResponses` elements.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setComment

    public void setComment(String comment)

The comment originally specified when this distribution was created.

Parameters:
  `comment` - The comment originally specified when this distribution was created.

#### getComment

    public String getComment()

The comment originally specified when this distribution was created.

Returns:
  The comment originally specified when this distribution was created.

#### withComment

    public DistributionSummary withComment(String comment)

The comment originally specified when this distribution was created.

Parameters:
  `comment` - The comment originally specified when this distribution was created.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setPriceClass

    public void setPriceClass(String priceClass)

Parameters:
  `priceClass` -
See Also:
  `PriceClass`

#### getPriceClass

    public String getPriceClass()

Returns:
See Also:
  `PriceClass`

#### withPriceClass

    public DistributionSummary withPriceClass(String priceClass)

Parameters:
  `priceClass` -
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `PriceClass`

#### setPriceClass

    public void setPriceClass(PriceClass priceClass)

Parameters:
  `priceClass` -
See Also:
  `PriceClass`

#### withPriceClass

    public DistributionSummary withPriceClass(PriceClass priceClass)

Parameters:
  `priceClass` -
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `PriceClass`

#### setEnabled

    public void setEnabled(Boolean enabled)

Whether the distribution is enabled to accept user requests for content.

Parameters:
  `enabled` - Whether the distribution is enabled to accept user requests for content.

#### getEnabled

    public Boolean getEnabled()

Whether the distribution is enabled to accept user requests for content.

Returns:
  Whether the distribution is enabled to accept user requests for content.

#### withEnabled

    public DistributionSummary withEnabled(Boolean enabled)

Whether the distribution is enabled to accept user requests for content.

Parameters:
  `enabled` - Whether the distribution is enabled to accept user requests for content.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### isEnabled

    public Boolean isEnabled()

Whether the distribution is enabled to accept user requests for content.

Returns:
  Whether the distribution is enabled to accept user requests for content.

#### setViewerCertificate

    public void setViewerCertificate(ViewerCertificate viewerCertificate)

Parameters:
  `viewerCertificate` -

#### getViewerCertificate

    public ViewerCertificate getViewerCertificate()

Returns:

#### withViewerCertificate

    public DistributionSummary withViewerCertificate(ViewerCertificate viewerCertificate)

Parameters:
  `viewerCertificate` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setRestrictions

    public void setRestrictions(Restrictions restrictions)

Parameters:
  `restrictions` -

#### getRestrictions

    public Restrictions getRestrictions()

Returns:

#### withRestrictions

    public DistributionSummary withRestrictions(Restrictions restrictions)

Parameters:
  `restrictions` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setWebACLId

    public void setWebACLId(String webACLId)

The Web ACL Id (if any) associated with the distribution.

Parameters:
  `webACLId` - The Web ACL Id (if any) associated with the distribution.

#### getWebACLId

    public String getWebACLId()

The Web ACL Id (if any) associated with the distribution.

Returns:
  The Web ACL Id (if any) associated with the distribution.

#### withWebACLId

    public DistributionSummary withWebACLId(String webACLId)

The Web ACL Id (if any) associated with the distribution.

Parameters:
  `webACLId` - The Web ACL Id (if any) associated with the distribution.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setHttpVersion

    public void setHttpVersion(String httpVersion)

Specify the maximum HTTP version that you want viewers to use to communicate with CloudFront. The default value for new web distributions is `http2`. Viewers that don't support `HTTP/2` will automatically use an earlier version.

Parameters:
  `httpVersion` - Specify the maximum HTTP version that you want viewers to use to communicate with CloudFront. The default value for new web distributions is `http2`. Viewers that don't support `HTTP/2` will automatically use an earlier version.
See Also:
  `HttpVersion`

#### getHttpVersion

    public String getHttpVersion()

Specify the maximum HTTP version that you want viewers to use to communicate with CloudFront. The default value for new web distributions is `http2`. Viewers that don't support `HTTP/2` will automatically use an earlier version.

Returns:
  Specify the maximum HTTP version that you want viewers to use to communicate with CloudFront. The default value for new web distributions is `http2`. Viewers that don't support `HTTP/2` will automatically use an earlier version.
See Also:
  `HttpVersion`

#### withHttpVersion

    public DistributionSummary withHttpVersion(String httpVersion)

Specify the maximum HTTP version that you want viewers to use to communicate with CloudFront. The default value for new web distributions is `http2`. Viewers that don't support `HTTP/2` will automatically use an earlier version.

Parameters:
  `httpVersion` - Specify the maximum HTTP version that you want viewers to use to communicate with CloudFront. The default value for new web distributions is `http2`. Viewers that don't support `HTTP/2` will automatically use an earlier version.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `HttpVersion`

#### setHttpVersion

    public void setHttpVersion(HttpVersion httpVersion)

Specify the maximum HTTP version that you want viewers to use to communicate with CloudFront. The default value for new web distributions is `http2`. Viewers that don't support `HTTP/2` will automatically use an earlier version.

Parameters:
  `httpVersion` - Specify the maximum HTTP version that you want viewers to use to communicate with CloudFront. The default value for new web distributions is `http2`. Viewers that don't support `HTTP/2` will automatically use an earlier version.
See Also:
  `HttpVersion`

#### withHttpVersion

    public DistributionSummary withHttpVersion(HttpVersion httpVersion)

Specify the maximum HTTP version that you want viewers to use to communicate with CloudFront. The default value for new web distributions is `http2`. Viewers that don't support `HTTP/2` will automatically use an earlier version.

Parameters:
  `httpVersion` - Specify the maximum HTTP version that you want viewers to use to communicate with CloudFront. The default value for new web distributions is `http2`. Viewers that don't support `HTTP/2` will automatically use an earlier version.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `HttpVersion`

#### setIsIPV6Enabled

    public void setIsIPV6Enabled(Boolean isIPV6Enabled)

Whether CloudFront responds to IPv6 DNS requests with an IPv6 address for your distribution.

Parameters:
  `isIPV6Enabled` - Whether CloudFront responds to IPv6 DNS requests with an IPv6 address for your distribution.

#### getIsIPV6Enabled

    public Boolean getIsIPV6Enabled()

Whether CloudFront responds to IPv6 DNS requests with an IPv6 address for your distribution.

Returns:
  Whether CloudFront responds to IPv6 DNS requests with an IPv6 address for your distribution.

#### withIsIPV6Enabled

    public DistributionSummary withIsIPV6Enabled(Boolean isIPV6Enabled)

Whether CloudFront responds to IPv6 DNS requests with an IPv6 address for your distribution.

Parameters:
  `isIPV6Enabled` - Whether CloudFront responds to IPv6 DNS requests with an IPv6 address for your distribution.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### isIPV6Enabled

    public Boolean isIPV6Enabled()

Whether CloudFront responds to IPv6 DNS requests with an IPv6 address for your distribution.

Returns:
  Whether CloudFront responds to IPv6 DNS requests with an IPv6 address for your distribution.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public DistributionSummary clone()

Overrides:
  `clone` in class `Object`